# PetscObjectStateDecrease

Decreases the state of any PetscObject, regardless of the type.

### Synopsis

    PetscErrorCode PetscObjectStateDecrease(PetscObject obj)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. This must be cast with a (PetscObject), for example, PetscObjectStateIncrease((PetscObject)mat);

Notes: object state is an integer which gets increased every time the object is changed. By saving and later querying the object state one can determine whether information about the object is still current. Currently, state is maintained for Vec and Mat objects.

seealso: PetscObjectStateQuery(), PetscObjectStateIncrease()

Level:developer
Location: include/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages